GET
Use dark colors for code blocksCopy
1
https://static-maps-api.arcgis.com/arcgis/rest/services/static-maps-service/beta/static-maps/arcgis/{arcgis-style}/with-polygon
Returns a static map in an ArcGIS Basemap style displaying a polygon or area of interest.

arcgis/streets

Returns a static map that displays an ArcGIS Basemap style with a polygon as defined by the polygon parameter.

The geographical extent of the static map is defined by the extent of the polygon and a padding width. You can define the style and color of the polygon fill including its outline.

The static map image width and height can be defined, along with the image format, which can be png, jpeg, or webp.

Choose this option if you want to display a single-part polygon with up to 10 vertices. To display a polygon with up to 5000 vertices, choose the POST endpoint.

Please note that the ArcGIS Basemap style attribution statement must be displayed every time the static map is visible. It must be positioned very close to the static map, or it can be provided via a popup or menu if the static map is embedded in an application or website. The relevant attribution statement for an ArcGIS Basemap style is available from the /static-maps/arcgis/{arcgis-style}/attribution endpoint. For more information see the ArcGIS Location Platform Agreement on the Terms of use.

Query parameters

NameTypeRequiredDefault valueDescription
polygonRing

An array of rings, where each ring is an array of x,y coordinate pairs (longitude, latitude) in the WGS 84 spatial reference that defines a polygon boundary

fillColorHexColor007AC2

The color of the fill in hexadecimal format.

fillStylestringsolid

The style of the fill.

imageFormatImageFormatwebp

The format in which the map image is returned. Supported formats include png, jpeg, and webp.

imageHeightImageDimension200

The height of the requested map image in pixels at 96 DPI between 64 and 1024 pixels.

imageWidthImageDimension200

The width of the requested map image in pixels at 96 DPI between 64 and 1024 pixels.

outlineColorHexColor007AC2

The color of the line symbol in hexadecimal format.

outlineStyleLineStylesolid

The style, or stroke, of the outline of the polygon.

outlineWidthinteger2

The width of the line in device-independent pixels.

imagePaddingPadding10

The padding applied to the static map adds extra map content between the static map's extent and the edge of the image.

tokenstring

The authentication token, used to access the static maps service.

mapCenterXnumber(double)

The x-coordinate, or longitude value, of the map center expressed in WGS84 decimal degrees.

mapCenterYnumber(double)

The y-coordinate, or latitude value, of the map center expressed in WGS84 decimal degrees.

mapZoomZoomLevel

Specifies the map zoom level, which controls the level of detail (LOD) displayed.

mapRadiusRadiusDistance

The radius, in meters, that defines the minimum geographic area shown around the specified point on the static map.

polygon

An array of rings, where each ring is an array of x,y coordinate pairs (longitude, latitude) in the WGS 84 spatial reference that defines a polygon boundary

The first coordinate pair in a ring represents the start of the polygon. Subsequent coordinates define the boundary of the polygon. These are arranged in a clockwise manner around the polygon. The last x,y coordinate pair will be connected to the first coordinate pair to close the polygon.

The array can contain from 3 to 10 coordinate pairs.

fillColor

The color of the fill in hexadecimal format.

It has the form RRGGBB or RRGGBBAA.

  • RR is the red value
  • GG is the green value
  • BB is the blue value
  • AA is the alpha value. 00 is fully transparent and FF is a solid fill.
Minimum length
6
Maximum length
8
Default
007AC2

fillStyle

The style of the fill.

Default
solid

Enumerated values

solid
Click to copy
none
Click to copy

imageFormat

The format in which the map image is returned. Supported formats include png, jpeg, and webp.

Default
webp

Enumerated values

png
Click to copy
jpeg
Click to copy
webp
Click to copy

imageHeight

The height of the requested map image in pixels at 96 DPI between 64 and 1024 pixels.

Minimum
64
Maximum
1024
Default
200

imageWidth

The width of the requested map image in pixels at 96 DPI between 64 and 1024 pixels.

Minimum
64
Maximum
1024
Default
200

outlineColor

The color of the line symbol in hexadecimal format.

A hexadecimal color code takes the form RRGGBB or RRGGBBAA.

  • RR is the red value
  • GG is the green value
  • BB is the blue value
  • AA is the alpha value. 00 is fully transparent and FF is a solid fill.
Minimum length
6
Maximum length
8
Default
007AC2

outlineStyle

The style, or stroke, of the outline of the polygon.

The default line style is solid.

Default
solid

Enumerated values

solid
Click to copy
dash
Click to copy
dot
Click to copy

outlineWidth

The width of the line in device-independent pixels.

The minimum width is 1 and the maximum width is 16.

Minimum
1
Maximum
16
Default
2

imagePadding

The padding applied to the static map adds extra map content between the static map's extent and the edge of the image.

Padding value is a % of the static map image's width and/or height. It is applied to the static map image, according to the table below:

Number of values in the arrayDescriptionExample
OneThe same padding % is applied to all four sides.[10]
TwoThe first value applies padding to the top and bottom, the second to the left and right sides.[10, 5 ]
ThreeThe first value applies padding to the top, the second to the left and right sides, and the third to the bottom.[10, 20, 10]
FourThe four values apply padding to the top, right, bottom, and left in a clockwise order.[10, 5, 5, 20]

If padding is not specified, a value of 10% is applied to all sides. The maximum allowed padding value is 25%

Default
[10]

token

The authentication token, used to access the static maps service.

The token parameter can be either an API Key or short-lived token.

This parameter is required unless you supply an access token in the request header with one of the following keys using the "Bearer" scheme:

  • Authorization: Bearer <YOUR_TOKEN>
  • X-Esri-Authorization: Bearer <YOUR_TOKEN>

The provided token must be created from an ArcGIS Location Platform account and have the necessary portal:user:allowBetaAccess privilege to use the static maps service.

Developer guide: To learn more, go to Security and authentication.

mapCenterX

The x-coordinate, or longitude value, of the map center expressed in WGS84 decimal degrees.

The value can be in the range of -179.99 to 179.99, representing the East/West or X-Axis.

Setting this value will override the map extent which may result in you graphics not being visible in the map.

Minimum
-179.9
Maximum
179.9

mapCenterY

The y-coordinate, or latitude value, of the map center expressed in WGS84 decimal degrees.

The value can be in the range of -85.05 to 85.05, representing the North/South or Y-Axis.

Setting this value will override the extent of the map, which may result in your graphics not being displayed.

Minimum
-85.05
Maximum
85.05

mapZoom

Specifies the map zoom level, which controls the level of detail (LOD) displayed.

Higher values show more detail over a smaller geographic extent, while lower values show larger areas with less detail.

This parameter is typically used to control map rendering scale, tile selection, and feature visibility.

This parameter is typically used to control map rendering scale, tile selection, and feature visibility.

Note: mapZoom and mapRadius are mutually exclusive. Please only choose one or the other.

Minimum
0
Maximum
22

mapRadius

The radius, in meters, that defines the minimum geographic area shown around the specified point on the static map.

Note: mapZoom and mapRadius are mutually exclusive. Please only choose one or the other.

The mapRadius value is used to define the real world radius of the area displayed in the map image. The area covered by the radius will always be displayed on the static map image.

If the image width and height are equal, the static map image will be square and the geographic extent displayed by the static map image will match that defined by the radius. However, if the image width is greater than the height, the geographic extent displayed by the static map image will be wider than that defined by the radius.

As a guide, the following radius values can be used for the following types of static maps.

Radius (meters)Approximate extent (diameter)Typical map usageZoom
10~20 mBuilding / site22–23
100~200 mStreet / block18–19
1,000~2 kmNeighborhood / district15–16
10,000~20 kmCity12–13
100,000~200 kmMetro / region9–10
1,000,000~2,000 kmState / large region6–7

The mapRadius has a minimum value of 10 meters and a maximum value of 20,000,000 meters.

Minimum
10
Maximum
20000000

Path parameters

NameTypeRequiredDescription
arcgis-stylestring

The name of a style from the ArcGIS Basemap style family.

arcgis-style

The name of a style from the ArcGIS Basemap style family.

GroupStyleExampleDescriptionData attribution
StreetsnavigationnavigationA custom navigation style designed for use during daylight hoursEsri, TomTom, Garmin, FAO, NOAA, USGS, © OpenStreetMap contributors, and the GIS User Community
Streetsnavigation-nightnavigation-nightA custom navigation style designed for use in hours of darknessEsri, TomTom, Garmin, FAO, NOAA, USGS, © OpenStreetMap contributors, and the GIS User Community
StreetsstreetsstreetsA classic Esri street map style designed for use during daylight hoursEsri, TomTom, Garmin, FAO, NOAA, USGS, © OpenStreetMap contributors, and the GIS User Community
Streetsstreets-nightstreets-nightA classic Esri street map style designed for use in hours of darknessEsri, TomTom, Garmin, FAO, NOAA, USGS, © OpenStreetMap contributors, and the GIS User Community
SatelliteimageryimageryLow-resolution satellite imagery for the world and high-resolution satellite and aerial imagery, typically within 3-5 years of currency, for most of the world.Esri, Vantor, GeoEye, Earthstar Geographics, CNES/Airbus DS, USDA, USGS, AeroGRID, IGN, © OpenStreetMap contributors, TomTom, Garmin, FAO, NOAA, and the GIS User Community

Enumerated values

streets
Click to copy
streets-night
Click to copy
navigation
Click to copy
navigation-night
Click to copy
imagery
Click to copy

Response status

StatusMeaningDescriptionSchema
200OK

Static map in a desired image format.

string(binary)
400Bad Request

Invalid query parameters / Incorrect portal item type / Data URL parse failure.

Error
401Unauthorized

Authentication Error. The API key or token is missing, invalid or expired.

Error
403Forbidden

The requested resource cannot be accessed because of incorrect sharing permissions.

Error
404Not Found

The requested resource cannot be found - this could be due to missing map data at the requested location and zoom level.

Error
5XXServer Error

An error occurred on the server.

Error

Examples

Request

Use dark colors for code blocksCopy
1
2
# You can also use wget
curl -X GET 'https://static-maps-api.arcgis.com/arcgis/rest/services/static-maps-service/beta/static-maps/arcgis/streets/with-polygon?polygon=-117.247325%2C34.100934%2C-117.247506%2C34.104433%2C-117.247962%2C34.105095&token=YOUR_TOKEN'

Your browser is no longer supported. Please upgrade your browser for the best experience. See our browser deprecation post for more details.